Bug 1190796 - ipv6calc-0.97.4-7.fc22 FTBFS: ipv6calcoptions.c:80:29: error: 'sizeof' on array function parameter 'longopts_custom' will return size of 'const struct option *' [-Werror=sizeof-array-argument]
Summary: ipv6calc-0.97.4-7.fc22 FTBFS: ipv6calcoptions.c:80:29: error: 'sizeof' on arr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipv6calc
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Bieringer
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-09 16:04 UTC by Petr Pisar
Modified: 2015-03-28 18:39 UTC (History)
2 users (show)

Fixed In Version: ipv6calc-0.98.0-10.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:38:53 UTC


Attachments (Terms of Use)

Description Petr Pisar 2015-02-09 16:04:50 UTC
ipv6calc-0.97.4-7.fc22 fails to build in F22 with GCC 5.0:

gcc -c ipv6calcoptions.c -D_GNU_SOURCE -O2 -Wall -g -Wformat -Werror -Werror=format-security -D__EXTENSIONS__ -fPIC -I. -I../ -I../databases/lib/   -I../external-fallback/GeoIP -I../external-fallback/IP2Location -I../external-fallback/IP2Location/iMath
gcc -c ipv6calctypes.c -D_GNU_SOURCE -O2 -Wall -g -Wformat -Werror -Werror=format-security -D__EXTENSIONS__ -fPIC -I. -I../ -I../databases/lib/   -I../external-fallback/GeoIP -I../external-fallback/IP2Location -I../external-fallback/IP2Location/iMath
ipv6calcoptions.c: In function 'ipv6calc_options_add':
ipv6calcoptions.c:80:29: error: 'sizeof' on array function parameter 'longopts_custom' will return size of 'const struct option *' [-Werror=sizeof-array-argument]
  if (*maxentries_p + MAXENTRIES_ARRAY(longopts_custom) >= (MAXLONGOPTIONS - 1)) {
                             ^
ipv6calcoptions.c:74:169: note: declared here
 void ipv6calc_options_add(char *shortopts_p, const int shortopts_maxlen, struct option longopts[], int *maxentries_p, const char *shortopts_custom, const struct option longopts_custom[], const int longopts_custom_entries) {
                                                                                                                                                                         ^
cc1: all warnings being treated as errors
Makefile:48: recipe for target 'ipv6calcoptions.o' failed
make[2]: *** [ipv6calcoptions.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory '/builddir/build/BUILD/ipv6calc-0.97.4/lib'

Difference between working and failing build root:

        libgcc 	4.9.2-5.fc22 	> 	5.0.0-0.7.fc22
	libstdc++ 	4.9.2-5.fc22 	> 	5.0.0-0.7.fc22
	libstdc++-devel 	4.9.2-5.fc22 	> 	5.0.0-0.7.fc22
	libblkid 	2.26-0.2.fc22 	> 	2.26-0.3.fc22
	libuuid 	2.26-0.2.fc22 	> 	2.26-0.3.fc22
	libfdisk 	2.26-0.2.fc22 	> 	2.26-0.3.fc22
	libgomp 	4.9.2-5.fc22 	> 	5.0.0-0.7.fc22
	libmount 	2.26-0.2.fc22 	> 	2.26-0.3.fc22
	libsmartcols 	2.26-0.2.fc22 	> 	2.26-0.3.fc22
	isl 		> 	0.14-3.fc22
	cpp 	4.9.2-5.fc22 	> 	5.0.0-0.7.fc22
	util-linux 	2.26-0.2.fc22 	> 	2.26-0.3.fc22
	gcc-c++ 	4.9.2-5.fc22 	> 	5.0.0-0.7.fc22
	gcc 	4.9.2-5.fc22 	> 	5.0.0-0.7.fc22

Comment 1 Peter Bieringer 2015-02-10 07:53:12 UTC
Issue already fixed in upstream trunk, plan to release new version this weekend.

Comment 2 Fedora Update System 2015-02-21 13:32:00 UTC
ipv6calc-0.98.0-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ipv6calc-0.98.0-8.fc21

Comment 3 Fedora Update System 2015-02-21 13:45:08 UTC
ipv6calc-0.98.0-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ipv6calc-0.98.0-8.fc20

Comment 4 Fedora Update System 2015-02-22 06:03:58 UTC
Package ipv6calc-0.98.0-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ipv6calc-0.98.0-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2404/ipv6calc-0.98.0-8.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-03-01 18:02:25 UTC
ipv6calc-0.98.0-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0900/ipv6calc-0.98.0-8.el6

Comment 6 Fedora Update System 2015-03-01 18:03:03 UTC
ipv6calc-0.98.0-8.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0897/ipv6calc-0.98.0-8.el7

Comment 7 Fedora Update System 2015-03-02 07:34:32 UTC
ipv6calc-0.98.0-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ipv6calc-0.98.0-10.el6

Comment 8 Fedora Update System 2015-03-02 07:35:26 UTC
ipv6calc-0.98.0-10.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ipv6calc-0.98.0-10.el7

Comment 9 Fedora Update System 2015-03-02 07:36:07 UTC
ipv6calc-0.98.0-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ipv6calc-0.98.0-10.fc20

Comment 10 Fedora Update System 2015-03-02 07:36:41 UTC
ipv6calc-0.98.0-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ipv6calc-0.98.0-10.fc21

Comment 11 Fedora Update System 2015-03-02 07:37:19 UTC
ipv6calc-0.98.0-10.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/ipv6calc-0.98.0-10.fc22

Comment 12 Jaroslav Reznik 2015-03-03 17:20:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Fedora Update System 2015-03-09 08:38:53 UTC
ipv6calc-0.98.0-10.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-03-13 17:01:27 UTC
ipv6calc-0.98.0-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-03-13 17:26:24 UTC
ipv6calc-0.98.0-10.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-03-28 18:38:41 UTC
ipv6calc-0.98.0-10.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-03-28 18:39:17 UTC
ipv6calc-0.98.0-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.